$(document).ready(function() {
	$("input").attr('maxlength','3');
  $("input").keypress(function(){
  	if(event.charCode >= 48 && event.charCode <= 57)
    	{}
    else
    	return false;
  });
  $("input").keyup(function() {
  	txb_TextChanged();
	});
	$("input[name='Ppi']").keydown(function(e){
    if (e.keyCode == 38 || e.keyCode == 40) {
      txbPpi_KeyDown(e.keyCode);
      return false;
    }
	});
});

function txbPpi_KeyDown(KeyCode)
{
  var w = false;
  try
  {
    var PpiI = parseInt($("input[name='Ppi']").val());
    if (KeyCode == 38)
    {
      PpiI += 5;
      w = true;
    }
    else if (KeyCode == 40)
    {
      PpiI -= 5;
      w = true;
    }
    if (w)
    {
      PpiI = PpiI / 5 * 5;
      if (PpiI > 400)
        PpiI = 400;
      else if (PpiI < 20)
        PpiI = 20;
      $("input[name='Ppi']").val(PpiI.toFixed(0));
    }
  }
  catch (Exception)
  { }
}

function txb_TextChanged() {
  try
  {
    var Cw = parseFloat($("input[name='Cw']").val());
    var Ch = parseFloat($("input[name='Ch']").val());
    var PpiI = parseInt($("input[name='Ppi']").val());
    if(isNaN(Cw) || isNaN(Ch) || isNaN(PpiI)) return;
    if (PpiI > 0) PpiI = PpiI / 5 * 5;
    if (PpiI > 400) PpiI = 400;
    else if (PpiI < 0) PpiI = 0;
    $("input[name='Ppi']").val(PpiI.toFixed(0));
    var Ppi = PpiI.toFixed(0);
    if (Cw > 0 && Ch > 0 && Ppi > 0)
    {
      var Pw = Cw / 2.54 * Ppi;
      var Ph = Ch / 2.54 * Ppi;
      var Mp = Pw * Ph / 1000000;
      var mm = Cw * 10 / Pw;
      var cm = mm / 0.004;
      $("#Pw").text(Pw.toFixed(0));
      $("#Ph").text(Ph.toFixed(0));
      $("#Mp").text(Mp.toFixed(2));
      $("#Mm").text(mm.toFixed(3));
      $("#Cm").text(cm.toFixed(0));
    }

  }
  catch (Exception)
  { }
}